<?php

use Slim\App;

return function (App $app) {
    $app->get('/', [\App\Controller\Main::class, 'main']);
    $app->post('/operator/login', [\App\Controller\Operator::class, 'operatorLogin']);
    $app->post('/operator/updatePassword', [\App\Controller\Operator::class, 'updatePassword']);
    $app->post('/order/history', [\App\Controller\Order::class, 'history']);
    $app->get('/logTracking/errorLogs', [\App\Controller\LogTracking::class, 'errorLogs']);
    $app->get('/order/branch', [\App\Controller\Order::class, 'getBranchList']);
    $app->get('/order/number', [\App\Controller\Order::class, 'getOrderNumber']);
    $app->get('/order/consumer', [\App\Controller\Order::class, 'getConsumers']);
    $app->post('/logTracking/deleteLogs', [\App\Controller\logTracking::class, 'deleteLogs']);
    $app->get('/logTracking/selectTableInteg', [\App\Controller\logTracking::class, 'selectTableInteg']);
    $app->get('/logTracking/selectTableFilial', [\App\Controller\logTracking::class, 'selectTableFilial']);
    $app->post('/order/cancel', [\App\Controller\Order::class, 'cancel']);
    $app->post('/logTracking/logDetails', [\App\Controller\logTracking::class, 'getLogDetails']);
    $app->post('/order/details', [\App\Controller\Order::class, 'getOrderDetails']);
    $app->post('/order/address', [\App\Controller\Order::class, 'getOrderAddress']);
    $app->post('/order/paymentMethods', [\App\Controller\Order::class, 'getPaymentMethods']);
    $app->post('/order/itemsRepo', [\App\Controller\Order::class, 'getOrderItemsRepo']);
    $app->post('/order/subItensRepo', [\App\Controller\Order::class, 'getSubItensRepo']);
    $app->post('/order/itemObservation', [\App\Controller\Order::class, 'getItemObservation']);
    $app->post('/order/dashboard', [\App\Controller\Dashboard::class, 'dashboard']);
    $app->post('/order/forwardOrder', [\App\Controller\Order::class, 'forwardOrder']);
    $app->post('/operator/sendResetPasswordEmail', [\App\Controller\Operator::class, 'sendResetPasswordEmail']);
    $app->post('/operator/resetPassword', [\App\Controller\Operator::class, 'resetPassword']);
};