<?php

namespace App\Console;

use Psr\Container\ContainerInterface;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

final class ExampleCommand extends Command
{
    protected $mainService;

    public function __construct(\App\Service\Main $mainService) {
        $this->mainService = $mainService;

        // this is required due to parent constructor, which sets up name 
        parent::__construct(); 
    }

    protected function configure(): void
    {
        parent::configure();

        $this->setName('controlService');
        $this->setDescription('A sample service');
    }

    protected function execute(InputInterface $input, OutputInterface $output): int
    {
        while(true) {
            $dados = json_encode($this->mainService->main());
            $output->writeln(sprintf("<info>$dados</info>"));
            sleep(5);
        }

        return 0;
    }
}
