import { TekGrid, TekTreeGrid } from '@zeedhi/teknisa-components-common';
import { Form } from '@zeedhi/common';
export interface Comanda {
  CDFILIAL: string | null;
  CDLOJA: string | null;
  NRCOMANDA: string | null;
  NRPEDCENTRAL: string | null;
  NRCOMANDAEXT: string | null;
  IDORGCMDVENDA: string | null;
  DSAREAATEND: string | null;
  IDSINCMSDE: string | null;
  QTDPROD: string | null;
  IDSTCOMANDA: string | null;
  IDSINCAGENDA: string | null;
  TOGO: string | null;
  NMCONSUMIDOR: string | null;
  NRTELECONS: string | null;
  VRPEDIDO: string | null;
  TEMPOPEDIDO: string | null;
  DTHRABERMESA: string | null;
  NRVENDAREST: string | null;
  DSAREAATENDN: string | null;
  AGENDADO: string | null;
  VRACRCOMANDA: string | null;
  STATUS: string;
  VRDESCOMANDA: string | null;
  DSDESCMOTIV: string | null;
  DSREFENDCONSCOM: string | null;
  DSOBSCOMANDA: string | null;
  NMRAZSOCVEN: string | null;
  DSEMAILCONS: string | null;
  LABELCONSUMIDOR: string | null;
  CDCLIENTE: string | null;
  FILIAL: string | null;
  CLIENTE: string | null;
  CDOPERADOR: string | null;
  DTHRAGENDADA: string | null;
  DTSAIDACMD: string | null;
  NMENTREGADOR: string | null;
  ACRESCIMO: string | null;
  VRTOTALPRODUTOS: string | null;
}
export interface DataResponse<T> {
  data: {
      error: boolean;
      message: string;
      data: T[]
    };  
}
export interface ParamsHistoryDetails {
  dtInicial: Date | string;
  dtFinal: Date | string;
  dtIniAgendada: Date | string;
  dtFimAgendada: Date | string;
  cdFilial: Array<string> | string;
  idStComanda: Array<string> | string;
  nrComanda: Array<string> | string;
  clienteConsumidor: Array<string> | string;
  idOrgCmdVenda: Array<string> | string; 
  idSincAgenda: Array<string> | string;
  idSincMsde: Array<string>;
  idRetBalLoja: Array<string> | string;
  ordersType: [];
  scheduledTab: [];
}

export type Instances = TekGrid | TekTreeGrid | Form;
export interface ParamsRequestPersistentDetails {
  NRCOMANDA: string;
  CDFILIAL: string;
  NRVENDAREST: string
}
export interface RequestOrderItemsRepo {
  IDCOMBO: string;
  CDFILIAL: string | null;
  CDPRODPROMOCAO: string | null;
  CDPRODUTO: string | null;
  DESCRIPTION: string | null;
  ISCOMBO: boolean | null;
  NMPRODUTO: string | null;
  NRCOMANDA: string | null;
  NRINSCRCONS: string | null;
  NRPRODCOMVEN: string | null;
  NRSEQPRODCOM: string | null;
  NRVENDAREST: string | null;
  QTPRODCOMVEN: number | null;
  TOTAL: number | null;
  VRACRCOMVEN: string | null;
  VRDESCCOMVEN: string | null;
  VRPRECCOMVEN: string | null;
}
export interface RowOpenPersistentDetailsItem {
  row: {
    CDPRODUTO: string;
    NMPRODUTO: string;
    DESCRIPTION: string | null;
    CDPRODPROMOCAO: string | null;
    VRPRECCOMVEN: number;
    QTPRODCOMVEN: number;
    VRDESCCOMVEN: number;
    VRACRCOMVEN: number;
    NRINSCRCONS: string | null;
    NRPRODCOMVEN: string;
    NRSEQPRODCOM: string | null;
    CDFILIAL: string,
    NRVENDAREST: string,
    NRCOMANDA: string,
    ISCOMBO: boolean,
    TOTAL: number,
    tree__children: [],
    tree__opened: boolean,
    tree__level: number,
    tree__searched: boolean
  }
 }
 export interface RequestOrderItemsRepoSub {
  IDCOMBO: string;
  CDPRODUTO: string;
  DESCRIPTION: string | null;
  CHILDRENGROUPED: string | null;
  NMPRODUTO: string;  
  NRINSCRCONS: string | null;
  NRPRODCOMVEN: string;
  NRSEQPRODCOM: string;
  QTPRODCOMVEN: string;
  TOTAL: number;
  VRACRCOMVEN: string;
  VRDESCCOMVEN: string;
  VRPRECCOMVEN: string; 
}
export interface Address {
  CDBAIRRO: string | null;
  CDMUNICIPIO: string | null;
  CDPAIS: string | null;
  DSCOMPLENDCOCOM: string | null;
  DSENDECONSCOMAN: string | null;
  DSREFENDCONSCOM: string | null;
  NMBAIRRO: string | null;
  NMESTADO: string | null;
  NMMUNICIPIO: string | null;
  NMPAIS: string | null;
  NRCEPCONSCOMAND: string | null;
  NRENDERECO: string | null;
  SGESTADO: string | null;
}